# Uses of Class
org.springframework.http.HttpRange

Packages that use HttpRange
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.

## Uses of HttpRange in org.springframework.http

Methods in org.springframework.http that return HttpRange
Modifier and Type
Method
Description
`static HttpRange`
HttpRange.`createByteRange(long firstBytePos)`
Create an `HttpRange` from the given position to the end.
`static HttpRange`
HttpRange.`createByteRange(long firstBytePos, long lastBytePos)`
Create a `HttpRange` from the given fist to last position.
`static HttpRange`
HttpRange.`createSuffixRange(long suffixLength)`
Create an `HttpRange` that ranges over the last given number of bytes.
Methods in org.springframework.http that return types with arguments of type HttpRange
Modifier and Type
Method
Description
`List<HttpRange>`
HttpHeaders.`getRange()`
Return the value of the `Range` header.
`static List<HttpRange>`
HttpRange.`parseRanges(String ranges)`
Parse the given, comma-separated string into a list of `HttpRange` objects.
Method parameters in org.springframework.http with type arguments of type HttpRange
Modifier and Type
Method
Description
`void`
HttpHeaders.`setRange(List<HttpRange> ranges)`
Sets the (new) value of the `Range` header.
`static List<org.springframework.core.io.support.ResourceRegion>`
HttpRange.`toResourceRegions(List<HttpRange> ranges, org.springframework.core.io.Resource resource)`
Convert each `HttpRange` into a `ResourceRegion`, selecting the appropriate segment of the given `Resource` using HTTP Range information.
`static String`
HttpRange.`toString(Collection<HttpRange> ranges)`
Return a string representation of the given list of `HttpRange` objects.